Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Wed 01 Oct 2014, 00:36
All times are UTC - 4
 Forum index » House Training » Users ( For the regulars ) » Für deutschsprachige Anhänger
PET für EMC2 gesucht
Moderators: MU
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 3 [44 Posts]   Goto page: 1, 2, 3 Next
Author Message
der-schutzhund

Joined: 26 Nov 2007
Posts: 781
Location: Blomberg / Germany

PostPosted: Sat 15 Jan 2011, 08:12    Post subject:  PET für EMC2 gesucht
Subject description: Probleme bei der Erzeugung eines PETs für EMC2
 

Hallo zusammen,

habe versucht für das CNC-Prog. EMC2 ein PET zu erstellen, leider ohne Erfolg.

Hinweis:
Normalerweise besitzt EMC2 einen Echtzeitkern da man damit eine CNC-Maschine ansteuern kann. Das brauche nicht. Ich wollte nur die Simulationsfunktion nutzen!

Infos zu einer speziellen vorcompilierten Version von EMC2 gibt es hier:

http://wiki.linuxcnc.org/cgi-bin/emcinfo.pl?EMC2_Pure_Simulator

Daraus habe ich versucht ein PET zu generieren.
Kann mir jemand ein PET für puppy 4.3.1de mit Menüeintrag und evtl. Starticon erzeugen?

Hier eine Lösung von deepsea:
--------------------------
Hier die offiziellen Links:
1) Basis Paket für Lucid Puppy 5.2 emc2.pet
http://dotpups.de/puppy4/dotpups/Science/emc2/emc2.pet

(Xorg High-GLX muss installiert sein.)
2) Zusätzliches Packet für puppy_431 emc2_431_extra_files.pet
http://dotpups.de/puppy4/dotpups/Science/emc2/emc2_431_extra_files.pet

(Auch hier muss OPENGL installiert sein.
Wenn nicht kann man es von hier xorg_xorg_dri-7.3-1.pet downloaden. )

http://dotpups.de/puppy4/dotpups/Science/emc2/xorg_xorg_dri-7.3-1.pet

Hinweis: - stepkonf läuft noch nicht.
- nach dem nächsten Neustart läuft die deutsche Oberfläche von 431-de nichtmehr.
--------------------------
Viele Grüße

Wolfgang

Last edited by der-schutzhund on Sun 13 Nov 2011, 17:10; edited 2 times in total
Back to top
View user's profile Send private message 
emil

Joined: 10 Nov 2009
Posts: 618
Location: Austria

PostPosted: Sat 15 Jan 2011, 19:14    Post subject: deb  

Hallo,
funktionieren die deb Pakete denn in Puppy?
Falls ja dann geht deb2pet
http://www.murga-linux.com/puppy/viewtopic.php?t=39756
lg
emil
Back to top
View user's profile Send private message Visit poster's website 
der-schutzhund

Joined: 26 Nov 2007
Posts: 781
Location: Blomberg / Germany

PostPosted: Sat 15 Jan 2011, 19:51    Post subject: Re: deb  

Das habe ich auch nicht zum Laufen bekommen!


emil wrote:
Hallo,
funktionieren die deb Pakete denn in Puppy?
Falls ja dann geht deb2pet
http://www.murga-linux.com/puppy/viewtopic.php?t=39756
lg
emil
Back to top
View user's profile Send private message 
deepsea

Joined: 17 Jan 2009
Posts: 154
Location: Deutschland

PostPosted: Sat 15 Jan 2011, 20:05    Post subject:  

Moin

Ein XXX.deb Paket in puppy

xxx.deb paket entpacken mit "xarchive" oder "undeb" .

Den Inhalt der Ordner /etc /usr ... kann man dann in den Ordner /ect /usr ...
von Puppy kopieren.

Dann das Programm in der Konsole starten damit fehlende libs angezeigt werden. Diese dann von packages.debian.org version lenny oder sid downloaden und wie oben verfahren.

P.S Welche Fehler hast du den Wolfgang ?
Back to top
View user's profile Send private message 
der-schutzhund

Joined: 26 Nov 2007
Posts: 781
Location: Blomberg / Germany

PostPosted: Sun 16 Jan 2011, 11:22    Post subject:  

Egal wie ich es anstelle (ob ich die Dateien unmittelbar kopieren oder erst ein PET erzeugen) es passiert einfach nichts.
Der Tip mit dem Start in der Konsole war schon mal gut.
Wenn ich die verschiedenen, ausführbaren Dateien in usr/bin starte, dann kommt z.B. bei xemc die Rückmeldung: "emc/usr_intf/xemc.cc 4712: can't establish communication with emc"
Bin mir auch nicht sicher welche Datei überhaupt gestartet werden muss.
Werde mal parallel im EMC-Forum nachfragen.

Grüße Wolfgang


deepsea wrote:
Moin

Ein XXX.deb Paket in puppy

xxx.deb paket entpacken mit "xarchive" oder "undeb" .

Den Inhalt der Ordner /etc /usr ... kann man dann in den Ordner /ect /usr ...
von Puppy kopieren.

Dann das Programm in der Konsole starten damit fehlende libs angezeigt werden. Diese dann von packages.debian.org version lenny oder sid downloaden und wie oben verfahren.

P.S Welche Fehler hast du den Wolfgang ?
Back to top
View user's profile Send private message 
emil

Joined: 10 Nov 2009
Posts: 618
Location: Austria

PostPosted: Sun 16 Jan 2011, 14:25    Post subject: EMC2 pet  

Habe ein pet aus dem ubuntu deb gemacht (braucht noch 3 andere debs)

http://murga-linux.com/puppy/viewtopic.php?t=63973

Du brauchst zusätzlich noch python und tcltk.
ich hoffe es läuft in 431,
emil
Back to top
View user's profile Send private message Visit poster's website 
der-schutzhund

Joined: 26 Nov 2007
Posts: 781
Location: Blomberg / Germany

PostPosted: Sun 16 Jan 2011, 16:13    Post subject: Re: EMC2 pet  

Python ist vorhanden, dein PET ist installiert, tcltk ist installiert
beim ersten Test von fehlenden Libs kam: libhal.so.1
daher diese geladen
http://208.109.22.214/puppy/viewtopic.php?p=236061&sid=7c783269c9d17907ef16dcd20649c908
jetzt kommt keine Fehlmeldung mehr aber es tut sich trotzdem nichts.
-----------------------------------------------------------------------------------------
quote="emil"]Habe ein pet aus dem ubuntu deb gemacht (braucht noch 3 andere debs)

http://murga-linux.com/puppy/viewtopic.php?t=63973

Du brauchst zusätzlich noch python und tcltk.
ich hoffe es läuft in 431,
emil[/quote]
Back to top
View user's profile Send private message 
emil

Joined: 10 Nov 2009
Posts: 618
Location: Austria

PostPosted: Sun 16 Jan 2011, 17:17    Post subject:  

versuch mal die Xorg-High vom Packetmanager zu laden, ich glaube die habe ich auch gebraucht.
Back to top
View user's profile Send private message Visit poster's website 
deepsea

Joined: 17 Jan 2009
Posts: 154
Location: Deutschland

PostPosted: Sun 16 Jan 2011, 17:26    Post subject:  

Moin Wolfgang

Ich habe folgende Pakete in Lucid Puppy 5.2 installiert:

1 emc2-sim_2.4.6_i386.deb
2. tk8.5_8.5.3-4_i386.deb
3. tcl8.5_8.5.3-2_i386.deb
4. bwidget_1.8.0-3_all.deb

Bitte immer i386 von Lenny nehmen. Ausser bei bwidgets da all

Diese mit xarchive entpackt die Verzeichnisse kopiert und emc in der Konsole aufgerufen.

Ich konnte dann unter dem Menu sim -> mini
etwas öffnen.

Ps. Warum Lucid 5.2 ? Bin gerade beim XFCE4 pet basteln.

Problem mit HAL (Hardware Abstarktions Layer) wird schwierig.

Kopf hoch Wink
Back to top
View user's profile Send private message 
emil

Joined: 10 Nov 2009
Posts: 618
Location: Austria

PostPosted: Sun 16 Jan 2011, 17:34    Post subject:  

hal_0.5.14-3_i386.deb hat bei mir funktioniert und ist im pet enthalten.
Back to top
View user's profile Send private message Visit poster's website 
emil

Joined: 10 Nov 2009
Posts: 618
Location: Austria

PostPosted: Sun 16 Jan 2011, 18:24    Post subject: tcltk pet  

versuche folgends pet (installiert TclTk8.4 + tkinter zum puppy python)
(TclTk 8.5 deinstallieren)
http://sage.math.washington.edu/home/emil/stuff/tcltk8.4-tkinter.pet
dazu das emc pet
Xorg High

so geht es bei mir in 5.11
Die erste version habe ich in meinem sagelive pupplet gemacht, da benutze ich das Python von sage, da war tkinter (Python interface zu tcltk schon vorinstalliert)
Back to top
View user's profile Send private message Visit poster's website 
der-schutzhund

Joined: 26 Nov 2007
Posts: 781
Location: Blomberg / Germany

PostPosted: Mon 17 Jan 2011, 17:16    Post subject:  

Hallo deepsea,

habe die Dateien installiert und bekomme schon mal die Auswahl.
Wenn ich sim > mini wählen dann gehts nicht weiter:

Grüße Wolfgang

deepsea wrote:
Moin Wolfgang

Ich habe folgende Pakete in Lucid Puppy 5.2 installiert:

1 emc2-sim_2.4.6_i386.deb
2. tk8.5_8.5.3-4_i386.deb
3. tcl8.5_8.5.3-2_i386.deb
4. bwidget_1.8.0-3_all.deb

Bitte immer i386 von Lenny nehmen. Ausser bei bwidgets da all

Diese mit xarchive entpackt die Verzeichnisse kopiert und emc in der Konsole aufgerufen.

Ich konnte dann unter dem Menu sim -> mini
etwas öffnen.

Ps. Warum Lucid 5.2 ? Bin gerade beim XFCE4 pet basteln.

Problem mit HAL (Hardware Abstarktions Layer) wird schwierig.

Kopf hoch Wink
emc-prob.jpg
 Description   
 Filesize   75.88 KB
 Viewed   1619 Time(s)

emc-prob.jpg

Back to top
View user's profile Send private message 
emil

Joined: 10 Nov 2009
Posts: 618
Location: Austria

PostPosted: Tue 18 Jan 2011, 14:41    Post subject:  

Läufts schon?
Cool http://www.murga-linux.com/puppy/viewtopic.php?t=63973
Back to top
View user's profile Send private message Visit poster's website 
der-schutzhund

Joined: 26 Nov 2007
Posts: 781
Location: Blomberg / Germany

PostPosted: Tue 18 Jan 2011, 15:37    Post subject:  

Hallo emil,

der aktuelle Stand ist siehe oben!
Mit deinem Pet hatte sich überhauptnichts getan (mit dem Start aus dem Menü heraus!).
Es sollte doch eigentlich aus dem Menü heraus laufen oder?

Mit welchem Befehl startet man eigentlich das Konfigurationsprogramm.
Im komplettsystem gibt es drei Module:
1. Latecytest -> damit bestimmt man die Leistungsfähigkeit des PCs
2. Konfigurationsprogramm -> Einstellung der Standartgeschw. etc.
3. Maschinensteuerung und Simulationsprog -> Steuerung der Maschine etc.

Vielleicht braucht man die Teile 1 und 2 für die "nur Simulationsvariante" ja nicht sonst könnte der Fehler auch daher kommen wenn vorher keine Standarteinstellungen erstellt wurden?

Wie startest du die einzelnen Module von Hand?

Grüße Wolfgang

emil wrote:
Läufts schon?
Cool http://www.murga-linux.com/puppy/viewtopic.php?t=63973
Back to top
View user's profile Send private message 
emil

Joined: 10 Nov 2009
Posts: 618
Location: Austria

PostPosted: Tue 18 Jan 2011, 15:52    Post subject:  

Ich kenn mich mit dem Programm nicht aus (hab auch nicht vor es zu lernen), ich starte zum testen mit "emc" von der Kommandozeile.

Hast Du meine pets installiert oder die debs die du angeführt hast? - ich kenn mich mit Deiner Konfiguration nicht aus! Von der Fehlermeldung her fehlt noch hal, also bitte schau nach ob du das hast (in meinem emc.pet ist das drin).
emil
Back to top
View user's profile Send private message Visit poster's website 
Display posts from previous:   Sort by:   
Page 1 of 3 [44 Posts]   Goto page: 1, 2, 3 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » House Training » Users ( For the regulars ) » Für deutschsprachige Anhänger
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0806s ][ Queries: 13 (0.0056s) ][ GZIP on ]